Bug 844385

Summary: curl used with file:// protocol opens and closes a destination file twice
Product: [Fedora] Fedora Reporter: Jakub Filak <jfilak>
Component: curlAssignee: Kamil Dudka <kdudka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 17CC: jberan, kdudka, paul
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: curl-7.27.0-2.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 883002 (view as bug list) Environment:
Last Closed: 2012-08-09 23:26:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 883002    

Description Jakub Filak 2012-07-30 13:01:11 UTC
Description of problem:
file_upload() function opens and closes the destination file twice. It causes two occurences of IN_CLOSE_WRITE inotify event.

Version-Release number of selected component (if applicable):
curl-7.24.0-4.fc17.src.rpm

How reproducible:
always

Steps to Reproduce:
1. curl file:///tmp/testfile -T /etc/hosts
  
Actual results:
curl opens and closes the destination file twice

Expected results:
curl opens and closes destination file only once

Additional info:
source: lib/file.c line: 354

Comment 1 Kamil Dudka 2012-07-30 13:06:41 UTC
upstream commit:

https://github.com/bagder/curl/commit/1f8518c

Comment 2 Kamil Dudka 2012-08-01 08:36:23 UTC
fixed in curl-7.27.0-2.fc18

Comment 3 Fedora Update System 2012-08-01 09:32:32 UTC
curl-7.24.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/curl-7.24.0-5.fc17

Comment 4 Fedora Update System 2012-08-01 22:26:24 UTC
Package curl-7.24.0-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing curl-7.24.0-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11375/curl-7.24.0-5.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-08-09 23:26:22 UTC
curl-7.24.0-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.